function forBiohpcTestPlot(iFeature)

load('forBiohpcTestData.mat');

h1=figure(1);
plot_color_dot_from_matrix(squeeze(...
    CFMP_feature_ordered_thisCh_perframe(:,:,iFeature,5)),25);

set(gca,'XTick',2:4:nFrame);
for iW = 1 :nFrame/4
    X_Tick_cell{iW} = num2str(iW);
end
set(gca,'XTickLabel',X_Tick_cell);

set(gca,'YTick',0.5 :nMovie-0.5);
for iM = 1 :nMovie
    Y_Tick_cell{iM} = char('A'+iM-1);
end
set(gca,'YTickLabel',Y_Tick_cell);

for iFrame = 0:4:nFrame
    plot([iFrame iFrame],[0 nMovie]);
end
plot([0 0],[nMovie round(nMovie*2)],'w','linewidth',5);
plot([nFrame round(nFrame*2)],[0 0],'w','linewidth',3);

title(textcell{iFeature},'fontsize',15);
    
display('%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%')
display('This is the per site results for the 3 wells of the plate')
display(['for feature: ',textcell{iFeature}]);

saveas(h1,['output/FeatureDots_',num2str(iFeature),'-persite.jpg']);
