#include "mpi.h"
#include <unistd.h> 
#include <math.h>
#include <stdio.h>

int main(argc,argv)
int argc;
char *argv[];
{
    int done = 0, myid, numprocs;
    long unsigned int n=10000000000, i;
    double PI25DT = 3.141592653589793238;
    double mypi, pi, h, sum, x;
    char hostname[255];

    MPI_Init(&argc,&argv);
    MPI_Comm_size(MPI_COMM_WORLD,&numprocs);
    MPI_Comm_rank(MPI_COMM_WORLD,&myid);
	MPI_Bcast(&n, 1, MPI_INT, 0, MPI_COMM_WORLD);

    gethostname(hostname, 255);
    
    printf("starting computation at rank %d on %s\n", myid, hostname);
  
	h   = 1.0 / (double) n;
	sum = 0.0;
	for (i = myid + 1; i <= n; i += numprocs) {
	    x = h * ((double)i - 0.5);
	    sum += 4.0 / (1.0 + x*x);
	}
	mypi = h * sum;
    
	MPI_Reduce(&mypi, &pi, 1, MPI_DOUBLE, MPI_SUM, 0,
		   MPI_COMM_WORLD);
    
	if (myid == 0)
	    printf("pi is approximately %.16f, Error is %.16f\n",
		   pi, fabs(pi - PI25DT));
    MPI_Finalize();
    return 0;
}
